Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Exceptions
Class BadParameterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      Exceptions.BadParameterException

All Implemented Interfaces:
  java.io.Serializable

    public class BadParameterException

extends java.lang.IllegalArgumentException

Thrown when the input parameters are exceptional

Author:
  EHemberg, Eoin Murphy
See Also:
  Serialized Form

Constructor Summary
`BadParameterException()` Creates a new instance of BadParameterException
`BadParameterException(java.lang.String key)` Creates a new instance of BadParameterException
`BadParameterException(java.lang.String parameterName, java.lang.String className)` Creates a new instance of BadParameterException

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BadParameterException

    public BadParameterException()

  Creates a new instance of BadParameterException

### BadParameterException

    public BadParameterException(java.lang.String key)

  Creates a new instance of BadParameterException

  Parameters:
    `key` - parameter

### BadParameterException

    public BadParameterException(java.lang.String parameterName,
                                 java.lang.String className)

  Creates a new instance of BadParameterException

  Parameters:
    `parameterName` - Parameter Name
    `className` - Class where parameter is being loaded from

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD